
Redmine - Defect #8647

Validation failed: Name has already been taken, Identifier has already been taken 

2011-06-20 09:25 - jack jiaxiong

Status: Closed Start date: 2011-06-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

i'm sorry, redmine 0.8.5 update to redmine 1.2.0, have problem:

Validation failed: Name has already been taken, Identifier has already been taken

LOCAL GEMS ***

actionmailer (2.3.11, 2.3.5)

actionpack (2.3.11, 2.3.5)

activerecord (2.3.11, 2.3.5)

activeresource (2.3.11, 2.3.5)

activesupport (2.3.11, 2.3.5)

i18n (0.4.2)

rack (1.1.0, 1.0.1)

rails (2.3.11, 2.3.5)

rake (0.8.7)

[root@localhost redmine]# rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production

(in /usr/local/redmine)

Fixing migration info

Migration info successfully migrated - removing old schema info table

[root@localhost redmine]# rake db:migrate_plugins RAILS_ENV=production

(in /usr/local/redmine)

Migrating engines...

Migrating acts_as_activity_provider...

Migrating acts_as_attachable...

Migrating acts_as_customizable...

Migrating acts_as_event...

Migrating acts_as_list...

Migrating acts_as_searchable...

Migrating acts_as_tree...

Migrating acts_as_versioned...

Migrating acts_as_watchable...

Migrating awesome_nested_set...

Migrating classic_pagination...

Migrating coderay-0.7.6.227...

Migrating gravatar...

Migrating open_id_authentication...

Migrating prepend_engine_views...

Migrating rfpdf...

Migrating ruby-net-ldap-0.0.4...

[root@localhost redmine]# rake db:migrate RAILS_ENV=production

(in /usr/local/redmine)

AddCustomFieldsEditable: migrating ======================================

-- add_column(:custom_fields, :editable, :boolean, {:default=>true})

-> 0.0979s

AddCustomFieldsEditable: migrated (0.0983s) =============================

SetCustomFieldsEditable: migrating ======================================

SetCustomFieldsEditable: migrated (0.0624s) =============================    AddProjectsLftAndRgt: migrating

=========================================

-- add_column(:projects, :lft, :integer)

 > 0.0163s
- add_column(:projects, :rgt, :integer)

-> 0.0119s

AddProjectsLftAndRgt: migrated (0.0288s) ================================    BuildProjectsTree: migrating

============================================

rake aborted!

An error has occurred, all later migrations canceled:   

Validation failed: Name has already been taken, Identifier has already been taken

(See full trace by running task with --trace)

History

#1 - 2011-06-21 04:00 - jack jiaxiong

- Assignee changed from Chaoqun Zou to Etienne Massip

i'm sorry, redmine 0.8.5 update to redmine 1.2.0, have problem:

Validation failed: Name has already been taken, Identifier has already been taken

LOCAL GEMS ***

actionmailer (2.3.11, 2.3.5)

actionpack (2.3.11, 2.3.5)

activerecord (2.3.11, 2.3.5)

activeresource (2.3.11, 2.3.5)

activesupport (2.3.11, 2.3.5)

i18n (0.4.2)

rack (1.1.0, 1.0.1)

rails (2.3.11, 2.3.5)

rake (0.8.7)

[root@localhost redmine]# rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production

(in /usr/local/redmine)

Fixing migration info

Migration info successfully migrated - removing old schema info table

[root@localhost redmine]# rake db:migrate_plugins RAILS_ENV=production

(in /usr/local/redmine)

Migrating engines...

Migrating acts_as_activity_provider...

Migrating acts_as_attachable...

Migrating acts_as_customizable...

Migrating acts_as_event...

Migrating acts_as_list...

Migrating acts_as_searchable...

Migrating acts_as_tree...

Migrating acts_as_versioned...

Migrating acts_as_watchable...

Migrating awesome_nested_set...

Migrating classic_pagination...

Migrating coderay-0.7.6.227...

Migrating gravatar...

Migrating open_id_authentication...

Migrating prepend_engine_views...

Migrating rfpdf...

Migrating ruby-net-ldap-0.0.4...

[root@localhost redmine]# rake db:migrate RAILS_ENV=production

(in /usr/local/redmine)

AddCustomFieldsEditable: migrating ======================================

-- add_column(:custom_fields, :editable, :boolean, {:default=>true})

-> 0.0979s

AddCustomFieldsEditable: migrated (0.0983s) =============================

SetCustomFieldsEditable: migrating ======================================

SetCustomFieldsEditable: migrated (0.0624s) ============================= AddProjectsLftAndRgt: migrating

=========================================

-- add_column(:projects, :lft, :integer)

0.0163s

 - add_column(:projects, :rgt, :integer)

-> 0.0119s

AddProjectsLftAndRgt: migrated (0.0288s) ================================ BuildProjectsTree: migrating

============================================
rake aborted!

An error has occurred, all later migrations canceled:

Validation failed: Name has already been taken, Identifier has already been taken

(See full trace by running task with --trace)

#2 - 2011-06-24 11:28 - jack jiaxiong

i'm sorry, redmine 0.8.5 update to redmine 1.2.0, have problem:

Validation failed: Name has already been taken, Identifier has already been taken

LOCAL GEMS ***

actionmailer (2.3.11, 2.3.5)

actionpack (2.3.11, 2.3.5)

activerecord (2.3.11, 2.3.5)

activeresource (2.3.11, 2.3.5)

activesupport (2.3.11, 2.3.5)

i18n (0.4.2)

rack (1.1.0, 1.0.1)

rails (2.3.11, 2.3.5)

rake (0.8.7)

[root@localhost redmine]# rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production

(in /usr/local/redmine)

Fixing migration info

Migration info successfully migrated - removing old schema info table

[root@localhost redmine]# rake db:migrate_plugins RAILS_ENV=production

(in /usr/local/redmine)

Migrating engines...

Migrating acts_as_activity_provider...

Migrating acts_as_attachable...

Migrating acts_as_customizable...

Migrating acts_as_event...

Migrating acts_as_list...

Migrating acts_as_searchable...

Migrating acts_as_tree...

Migrating acts_as_versioned...

Migrating acts_as_watchable...

Migrating awesome_nested_set...

Migrating classic_pagination...

Migrating coderay-0.7.6.227...

Migrating gravatar...

Migrating open_id_authentication...

Migrating prepend_engine_views...

Migrating rfpdf...

Migrating ruby-net-ldap-0.0.4...

[root@localhost redmine]# rake db:migrate RAILS_ENV=production

(in /usr/local/redmine)

AddCustomFieldsEditable: migrating ======================================

-- add_column(:custom_fields, :editable, :boolean, {:default=>true})

-> 0.0979s

AddCustomFieldsEditable: migrated (0.0983s) =============================

SetCustomFieldsEditable: migrating ======================================

SetCustomFieldsEditable: migrated (0.0624s) ============================= AddProjectsLftAndRgt: migrating

=========================================

-- add_column(:projects, :lft, :integer)

0.0163s

- add_column(:projects, :rgt, :integer)

-> 0.0119s

AddProjectsLftAndRgt: migrated (0.0288s) ================================ BuildProjectsTree: migrating

============================================

rake aborted!

An error has occurred, all later migrations canceled:

Validation failed: Name has already been taken, Identifier has already been taken

(See full trace by running task with --trace)

#3 - 2011-06-24 12:09 - Etienne Massip

- Assignee deleted (Etienne Massip)

Could you post your issues table description, does it has already lft and rgt columns ?

What plugins do you have installed ?
#4 - 2011-06-24 12:30 - jack jiaxiong

thanks sir,

i'm installed plugins is FAQ, the issues tables description as follows(does't no lft and rgt columns):

Query describe.`issues`, Fri Jun 24 18:27:07 2011

Field    Type    Null    Key    Default    Extra

id    int(11)    NO    PRI        auto_increment

tracker_id    int(11)    NO    (null)    0    (null)

project_id    int(11)    NO    MUL    0    (null)

subject    varchar(255)    NO    (null)    (null)    (null)

description    text    YES    (null)        (null)

due_date    date    YES    (null)        (null)

category_id    int(11)    YES    (null)        (null)

status_id    int(11)    NO    (null)    0    (null)

assigned_to_id    int(11)    YES    (null)        (null)

priority_id    int(11)    NO    (null)    0    (null)

fixed_version_id    int(11)    YES    (null)        (null)

author_id    int(11)    NO    (null)    0    (null)

lock_version    int(11)    NO    (null)    0    (null)

created_on    datetime    YES    (null)        (null)

updated_on    datetime    YES    (null)        (null)

start_date    date    YES    (null)        (null)

done_ratio    int(11)    NO    (null)    0    (null)

estimated_hours    float    YES    (null)        (null)

#5 - 2011-06-25 03:45 - jack jiaxiong

- Assignee set to Etienne Massip

thanks sir,

i'm installed plugins is FAQ, the issues tables description as follows(does't no lft and rgt columns):

Query describe.`issues`, Fri Jun 24 18:27:07 2011

Field Type Null Key Default Extra

id int(11) NO PRI auto_increment

tracker_id int(11) NO (null) 0 (null)

project_id int(11) NO MUL 0 (null)

subject varchar(255) NO (null) (null) (null)

description text YES (null) (null)

due_date date YES (null) (null)

category_id int(11) YES (null) (null)

status_id int(11) NO (null) 0 (null)

assigned_to_id int(11) YES (null) (null)

priority_id int(11) NO (null) 0 (null)

fixed_version_id int(11) YES (null) (null)

author_id int(11) NO (null) 0 (null)

lock_version int(11) NO (null) 0 (null)

created_on datetime YES (null) (null)

updated_on datetime YES (null) (null)

start_date date YES (null) (null)

done_ratio int(11) NO (null) 0 (null)

estimated_hours float YES (null) (null)

#6 - 2011-06-25 13:01 - Etienne Massip

- Assignee deleted (Etienne Massip)

Please don't assign issues and don't repeat yoursef, you won't get a faster answer.

#7 - 2011-08-31 08:34 - Jean-Baptiste Barth

- Priority changed from Urgent to Normal

Have you solved your problem ?

#8 - 2011-08-31 08:36 - jack jiaxiong

no ,also have this problem
#9 - 2011-08-31 09:11 - Etienne Massip

Could you please post your projects table description?

#10 - 2011-08-31 09:47 - jack jiaxiong

mysql> desc projects;

+----------------+-------------+------+-----+---------+----------------+

| Field          | Type        | Null | Key | Default | Extra          |

+----------------+-------------+------+-----+---------+----------------+

| id             | int(11)     | NO   | PRI | NULL    | auto_increment |

| name           | varchar(30) | NO   |     |         |                |

| description    | text        | YES  |     | NULL    |                |

| homepage       | varchar(60) | YES  |     |         |                |

| is_public      | tinyint(1)  | NO   |     | 1       |                |

| parent_id      | int(11)     | YES  |     | NULL    |                |

| projects_count | int(11)     | YES  |     | 0       |                |

| created_on     | datetime    | YES  |     | NULL    |                |

| updated_on     | datetime    | YES  |     | NULL    |                |

| identifier     | varchar(20) | YES  |     | NULL    |                |

| status         | int(11)     | NO   |     | 1       |                |

+----------------+-------------+------+-----+---------+----------------+

11 rows in set (0.01 sec)

#11 - 2011-08-31 09:56 - Etienne Massip

Could you please run rake migration with --trace flag?

#12 - 2013-01-15 09:13 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to No feedback

Closing this, no feedback
